#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	IO
%define	pnam	CaptureOutput
Summary:	IO::CaptureOutput - capture STDOUT and STDERR from Perl code, subprocesses or XS
Summary(pl.UTF-8):	IO::CaptureOutput - przechwytywanie STDOUT i STDERR z kodu w Perlu, podprocesów lub XS
Name:		perl-IO-CaptureOutput
Version:	1.1105
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	279c548c10c4dd052c07924c52a17213
URL:		https://metacpan.org/dist/IO-CaptureOutput
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.17
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 3.27
BuildRequires:	perl-File-Temp >= 0.16
BuildRequires:	perl-Test-Simple >= 0.62
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides routines for capturing STDOUT and STDERR from
perl subroutines, forked system calls (e.g. system(), fork()) and from
XS or C modules.

%description -l pl.UTF-8
Ten moduł udostępnia procedury do przechwytywania STDOUT i STDERR z
funkcji perlowych, odgałęzionych wywołań systemowych (np. system(),
fork()) oraz z modułów XS lub C.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/IO/CaptureOutput.pm
%{_mandir}/man3/IO::CaptureOutput.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-CaptureOutput.git;a=log;h=master

* Sat Jun 26 2021 Jakub Bogusz <qboosh@pld-linux.org> da66a81
- updated to 1.1105

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c1e8fc3
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 2a97ffd
- updated to 1.1104
- pl

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 6923344
- up to 1.1102

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> a83215e
- updated to 1.1101

* Sun Feb 17 2008 radek <radek@pld-linux.org> 2eea509
- new

